/{organizationId}/{mandateId}/crm/contacts/notes/resubmissions/listList resubmissions
Returns a list of resubmissions for a given organization
Required permissions:
mandate.read
contactNote.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
searchTermstringoptional assignedToUserOnlybooleanoptional limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/notes/resubmissions/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"searchTerm": "string",
"assignedToUserOnly": true,
"limit": 50
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: -9007199254740991
maximum: 9007199254740991
Response
{
"resubmissions": [
{
"_id": "000000000000000000000001",
"contact": "000000000000000000000001",
"contactTypes": [
"member"
],
"contactName": "string",
"content": "string",
"dueAt": "2026-06-15T22:30:00Z",
"createdBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"createdAt": "2026-06-15T22:30:00Z",
"assignedTo": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"contactImage": {
"resource": "string"
}
}
],
"count": -9007199254740991
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}